{
  "type": "minecraft:crafting_shaped",
  "key": {
    "#": {
      "tag": "forge:plates/iron"
    },
    "+": {
      "item": "minecraft:campfire"
    },
    ".": {
      "item": "minecraft:iron_nugget"
    }
  },
  "pattern": [
    ".#.",
    " + "
  ],
  "result": {
    "item": "railways:smokestack_caboosestyle"
  }
}